%global fontname kranky
%global fontconf 61-%{fontname}-fonts.conf
%global checkout 716ff965e2b0hg


Name:          %{fontname}-fonts
Version:       1.00
Release:       4.%{checkout}%{?dist}
Summary:       Kranky fonts
License:       ASL 2.0
URL:           http://www.google.com/fonts/specimen/Kranky
Source0:       https://googlefontdirectory.googlecode.com/hg/apache/kranky/Kranky.ttf
Source1:       https://googlefontdirectory.googlecode.com/hg/apache/kranky/LICENSE.txt
Source10:      %{fontconf}
BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: fontforge
BuildRequires: ttname
Requires:      fontpackages-filesystem

%description
Get happy? No! Get Kranky! Another hand-crafted, fun-filled font guaranteed to
put a smile on your face. So grab it now and put on a big old I-got-it-for-free
grin. But before your face gets stuck like that be sure to check out all the
other inappropriately named fonts by Squid.


%prep
cp -p %{SOURCE0} %{SOURCE1} .


%build
ttname --copyright="Font Diner, Inc DBA Sideshow (diner@fontdiner.com)" --license="$(cat LICENSE.txt)" --license-url="https://www.apache.org/licenses/LICENSE-2.0" *.ttf || exit 0


%install
rm -rf %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
    %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf
%doc LICENSE.txt


%changelog
* Fri Sep 26 2014 Julien Enselme <jujens@jujens.eu> - 1.00-4.716ff965e2b0hg
- Update URL and sources.
- Remove %%{files} macro (contained in %%{_font_pkg})

* Thu Sep 04 2014 Julien Enselme <jujens@jujens.eu> - 1.00-3.716ff965e2b0hg
- Add copyright to ttname
- Add license to ttname

* Tue Sep 02 2014 Julien Enselme <jujens@jujens.eu> - 1.00-2.716ff965e2b0hg
- Update SPEC to match an easy fonts template.

* Thu Apr 17 2014 Julien Enselme <jujens@jujens.eu> - 1.00-1.716ff965e2b0hg
- Initial packaging.
